package TO;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

import common.UserType;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@XmlRootElement(name = "LoggedUser")
public class LoggedUserTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private String id;
	private String password;
	private String name;
	private String displayName;
	private UserType userType;

	public LoggedUserTO() {
		super();
	}

	public LoggedUserTO(String usrId, String usrName, String usrPwd, UserType usrType, String dispName) {
		id = usrId;
		name = usrName;
		password = usrPwd;
		userType = usrType;
		displayName = dispName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public UserType getUserType() {
		return userType;
	}

	public void setUserType(UserType value) {
		this.userType = value;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

}
